function Xin2Rin = findResonance(Mesh, BF, V, f, options)

% currents and Z operator are calculated (both for gaps and waves)
OP = evaluateOperators(Mesh, BF, f, options);

% resonance ratio
I = (OP.L + OP.Z) \ V;
IZI = I'*(OP.L + OP.Z)*I;
Xin2Rin = imag(IZI) / real(IZI);